path: /build/build/libssh2-net-libs-1.11.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-mbedtls gcrypt zlib" emerge net-libs/libssh2 -pv -t && \
    USE="-mbedtls gcrypt zlib" emerge -j ${JOBS} --nodeps net-libs/libssh2
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libssh2 && luet-portage --dir /pkgdir/libssh2
    net-libs/libssh2 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:955ddb6622a3ccf5768f82e0dbabf6d1386cdcfce9b70f926ccb5adc85b61d90
  package:
    name: libssh2
    version: 1.11.0
    category: net-libs
    use_flags:
    - -mbedtls
    - gcrypt
    - zlib
    requires:
    - name: macaroni-funtoo-race9
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Library implementing the SSH2 protocol
    uri:
    - https://www.libssh2.org
    license: BSD
    buildtimestamp: 2023-08-27 22:21:47.82781789 +0000 UTC m=+71.660098423
    labels:
      BDEPEND: dev-util/ninja dev-util/cmake
      DEPEND: gcrypt? ( >=dev-libs/libgcrypt-1.5.3:0 ) !gcrypt? ( mbedtls? ( net-libs/mbedtls:0=
        ) !mbedtls? ( >=dev-libs/openssl-1.0.1h-r2:0= ) ) zlib? ( >=sys-libs/zlib-1.2.8-r1
        )
      IUSE: gcrypt mbedtls zlib
      RDEPEND: gcrypt? ( >=dev-libs/libgcrypt-1.5.3:0 ) !gcrypt? ( mbedtls? ( net-libs/mbedtls:0=
        ) !mbedtls? ( >=dev-libs/openssl-1.0.1h-r2:0= ) ) zlib? ( >=sys-libs/zlib-1.2.8-r1
        )
      emerge.packages: net-libs/libssh2
      kit: net-kit
      original.package.name: net-libs/libssh2
      original.package.slot: "0"
      original.package.version: 1.11.0
    treedir: /build/packages
  package_dir: /pkgdir/libssh2
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a0c5cb33710634886d9ce2348d0569a47da0eb042eaad8ef44f3887dbfa7e158
compressiontype: zstd
files:
- usr/include/libssh2.h
- usr/include/libssh2_publickey.h
- usr/include/libssh2_sftp.h
- usr/lib64/cmake/libssh2/Libssh2Config-gentoo.cmake
- usr/lib64/cmake/libssh2/Libssh2Config.cmake
- usr/lib64/cmake/libssh2/Libssh2ConfigVersion.cmake
- usr/lib64/libssh2.a
- usr/lib64/libssh2.so
- usr/lib64/libssh2.so.1
- usr/lib64/libssh2.so.1.0.1
- usr/lib64/pkgconfig/libssh2.pc
- usr/share/doc/libssh2-1.11.0/AUTHORS.bz2
- usr/share/doc/libssh2-1.11.0/BINDINGS.md.bz2
- usr/share/doc/libssh2-1.11.0/COPYING.bz2
- usr/share/doc/libssh2-1.11.0/ChangeLog
- usr/share/doc/libssh2-1.11.0/HACKING.md.bz2
- usr/share/doc/libssh2-1.11.0/NEWS.bz2
- usr/share/doc/libssh2-1.11.0/README.bz2
- usr/share/doc/libssh2-1.11.0/README.md.bz2
- usr/share/doc/libssh2-1.11.0/RELEASE-NOTES.bz2
- usr/share/man/man3/libssh2_agent_connect.3.bz2
- usr/share/man/man3/libssh2_agent_disconnect.3.bz2
- usr/share/man/man3/libssh2_agent_free.3.bz2
- usr/share/man/man3/libssh2_agent_get_identity.3.bz2
- usr/share/man/man3/libssh2_agent_get_identity_path.3.bz2
- usr/share/man/man3/libssh2_agent_init.3.bz2
- usr/share/man/man3/libssh2_agent_list_identities.3.bz2
- usr/share/man/man3/libssh2_agent_set_identity_path.3.bz2
- usr/share/man/man3/libssh2_agent_sign.3.bz2
- usr/share/man/man3/libssh2_agent_userauth.3.bz2
- usr/share/man/man3/libssh2_banner_set.3.bz2
- usr/share/man/man3/libssh2_base64_decode.3.bz2
- usr/share/man/man3/libssh2_channel_close.3.bz2
- usr/share/man/man3/libssh2_channel_direct_streamlocal_ex.3.bz2
- usr/share/man/man3/libssh2_channel_direct_tcpip.3.bz2
- usr/share/man/man3/libssh2_channel_direct_tcpip_ex.3.bz2
- usr/share/man/man3/libssh2_channel_eof.3.bz2
- usr/share/man/man3/libssh2_channel_exec.3.bz2
- usr/share/man/man3/libssh2_channel_flush.3.bz2
- usr/share/man/man3/libssh2_channel_flush_ex.3.bz2
- usr/share/man/man3/libssh2_channel_flush_stderr.3.bz2
- usr/share/man/man3/libssh2_channel_forward_accept.3.bz2
- usr/share/man/man3/libssh2_channel_forward_cancel.3.bz2
- usr/share/man/man3/libssh2_channel_forward_listen.3.bz2
- usr/share/man/man3/libssh2_channel_forward_listen_ex.3.bz2
- usr/share/man/man3/libssh2_channel_free.3.bz2
- usr/share/man/man3/libssh2_channel_get_exit_signal.3.bz2
- usr/share/man/man3/libssh2_channel_get_exit_status.3.bz2
- usr/share/man/man3/libssh2_channel_handle_extended_data.3.bz2
- usr/share/man/man3/libssh2_channel_handle_extended_data2.3.bz2
- usr/share/man/man3/libssh2_channel_ignore_extended_data.3.bz2
- usr/share/man/man3/libssh2_channel_open_ex.3.bz2
- usr/share/man/man3/libssh2_channel_open_session.3.bz2
- usr/share/man/man3/libssh2_channel_process_startup.3.bz2
- usr/share/man/man3/libssh2_channel_read.3.bz2
- usr/share/man/man3/libssh2_channel_read_ex.3.bz2
- usr/share/man/man3/libssh2_channel_read_stderr.3.bz2
- usr/share/man/man3/libssh2_channel_receive_window_adjust.3.bz2
- usr/share/man/man3/libssh2_channel_receive_window_adjust2.3.bz2
- usr/share/man/man3/libssh2_channel_request_auth_agent.3.bz2
- usr/share/man/man3/libssh2_channel_request_pty.3.bz2
- usr/share/man/man3/libssh2_channel_request_pty_ex.3.bz2
- usr/share/man/man3/libssh2_channel_request_pty_size.3.bz2
- usr/share/man/man3/libssh2_channel_request_pty_size_ex.3.bz2
- usr/share/man/man3/libssh2_channel_send_eof.3.bz2
- usr/share/man/man3/libssh2_channel_set_blocking.3.bz2
- usr/share/man/man3/libssh2_channel_setenv.3.bz2
- usr/share/man/man3/libssh2_channel_setenv_ex.3.bz2
- usr/share/man/man3/libssh2_channel_shell.3.bz2
- usr/share/man/man3/libssh2_channel_signal_ex.3.bz2
- usr/share/man/man3/libssh2_channel_subsystem.3.bz2
- usr/share/man/man3/libssh2_channel_wait_closed.3.bz2
- usr/share/man/man3/libssh2_channel_wait_eof.3.bz2
- usr/share/man/man3/libssh2_channel_window_read.3.bz2
- usr/share/man/man3/libssh2_channel_window_read_ex.3.bz2
- usr/share/man/man3/libssh2_channel_window_write.3.bz2
- usr/share/man/man3/libssh2_channel_window_write_ex.3.bz2
- usr/share/man/man3/libssh2_channel_write.3.bz2
- usr/share/man/man3/libssh2_channel_write_ex.3.bz2
- usr/share/man/man3/libssh2_channel_write_stderr.3.bz2
- usr/share/man/man3/libssh2_channel_x11_req.3.bz2
- usr/share/man/man3/libssh2_channel_x11_req_ex.3.bz2
- usr/share/man/man3/libssh2_crypto_engine.3.bz2
- usr/share/man/man3/libssh2_exit.3.bz2
- usr/share/man/man3/libssh2_free.3.bz2
- usr/share/man/man3/libssh2_hostkey_hash.3.bz2
- usr/share/man/man3/libssh2_init.3.bz2
- usr/share/man/man3/libssh2_keepalive_config.3.bz2
- usr/share/man/man3/libssh2_keepalive_send.3.bz2
- usr/share/man/man3/libssh2_knownhost_add.3.bz2
- usr/share/man/man3/libssh2_knownhost_addc.3.bz2
- usr/share/man/man3/libssh2_knownhost_check.3.bz2
- usr/share/man/man3/libssh2_knownhost_checkp.3.bz2
- usr/share/man/man3/libssh2_knownhost_del.3.bz2
- usr/share/man/man3/libssh2_knownhost_free.3.bz2
- usr/share/man/man3/libssh2_knownhost_get.3.bz2
- usr/share/man/man3/libssh2_knownhost_init.3.bz2
- usr/share/man/man3/libssh2_knownhost_readfile.3.bz2
- usr/share/man/man3/libssh2_knownhost_readline.3.bz2
- usr/share/man/man3/libssh2_knownhost_writefile.3.bz2
- usr/share/man/man3/libssh2_knownhost_writeline.3.bz2
- usr/share/man/man3/libssh2_poll.3.bz2
- usr/share/man/man3/libssh2_poll_channel_read.3.bz2
- usr/share/man/man3/libssh2_publickey_add.3.bz2
- usr/share/man/man3/libssh2_publickey_add_ex.3.bz2
- usr/share/man/man3/libssh2_publickey_init.3.bz2
- usr/share/man/man3/libssh2_publickey_list_fetch.3.bz2
- usr/share/man/man3/libssh2_publickey_list_free.3.bz2
- usr/share/man/man3/libssh2_publickey_remove.3.bz2
- usr/share/man/man3/libssh2_publickey_remove_ex.3.bz2
- usr/share/man/man3/libssh2_publickey_shutdown.3.bz2
- usr/share/man/man3/libssh2_scp_recv.3.bz2
- usr/share/man/man3/libssh2_scp_recv2.3.bz2
- usr/share/man/man3/libssh2_scp_send.3.bz2
- usr/share/man/man3/libssh2_scp_send64.3.bz2
- usr/share/man/man3/libssh2_scp_send_ex.3.bz2
- usr/share/man/man3/libssh2_session_abstract.3.bz2
- usr/share/man/man3/libssh2_session_banner_get.3.bz2
- usr/share/man/man3/libssh2_session_banner_set.3.bz2
- usr/share/man/man3/libssh2_session_block_directions.3.bz2
- usr/share/man/man3/libssh2_session_callback_set.3.bz2
- usr/share/man/man3/libssh2_session_disconnect.3.bz2
- usr/share/man/man3/libssh2_session_disconnect_ex.3.bz2
- usr/share/man/man3/libssh2_session_flag.3.bz2
- usr/share/man/man3/libssh2_session_free.3.bz2
- usr/share/man/man3/libssh2_session_get_blocking.3.bz2
- usr/share/man/man3/libssh2_session_get_read_timeout.3.bz2
- usr/share/man/man3/libssh2_session_get_timeout.3.bz2
- usr/share/man/man3/libssh2_session_handshake.3.bz2
- usr/share/man/man3/libssh2_session_hostkey.3.bz2
- usr/share/man/man3/libssh2_session_init.3.bz2
- usr/share/man/man3/libssh2_session_init_ex.3.bz2
- usr/share/man/man3/libssh2_session_last_errno.3.bz2
- usr/share/man/man3/libssh2_session_last_error.3.bz2
- usr/share/man/man3/libssh2_session_method_pref.3.bz2
- usr/share/man/man3/libssh2_session_methods.3.bz2
- usr/share/man/man3/libssh2_session_set_blocking.3.bz2
- usr/share/man/man3/libssh2_session_set_last_error.3.bz2
- usr/share/man/man3/libssh2_session_set_read_timeout.3.bz2
- usr/share/man/man3/libssh2_session_set_timeout.3.bz2
- usr/share/man/man3/libssh2_session_startup.3.bz2
- usr/share/man/man3/libssh2_session_supported_algs.3.bz2
- usr/share/man/man3/libssh2_sftp_close.3.bz2
- usr/share/man/man3/libssh2_sftp_close_handle.3.bz2
- usr/share/man/man3/libssh2_sftp_closedir.3.bz2
- usr/share/man/man3/libssh2_sftp_fsetstat.3.bz2
- usr/share/man/man3/libssh2_sftp_fstat.3.bz2
- usr/share/man/man3/libssh2_sftp_fstat_ex.3.bz2
- usr/share/man/man3/libssh2_sftp_fstatvfs.3
- usr/share/man/man3/libssh2_sftp_fsync.3.bz2
- usr/share/man/man3/libssh2_sftp_get_channel.3.bz2
- usr/share/man/man3/libssh2_sftp_init.3.bz2
- usr/share/man/man3/libssh2_sftp_last_error.3.bz2
- usr/share/man/man3/libssh2_sftp_lstat.3.bz2
- usr/share/man/man3/libssh2_sftp_mkdir.3.bz2
- usr/share/man/man3/libssh2_sftp_mkdir_ex.3.bz2
- usr/share/man/man3/libssh2_sftp_open.3.bz2
- usr/share/man/man3/libssh2_sftp_open_ex.3.bz2
- usr/share/man/man3/libssh2_sftp_open_ex_r.3.bz2
- usr/share/man/man3/libssh2_sftp_open_r.3.bz2
- usr/share/man/man3/libssh2_sftp_opendir.3.bz2
- usr/share/man/man3/libssh2_sftp_read.3.bz2
- usr/share/man/man3/libssh2_sftp_readdir.3.bz2
- usr/share/man/man3/libssh2_sftp_readdir_ex.3.bz2
- usr/share/man/man3/libssh2_sftp_readlink.3.bz2
- usr/share/man/man3/libssh2_sftp_realpath.3.bz2
- usr/share/man/man3/libssh2_sftp_rename.3.bz2
- usr/share/man/man3/libssh2_sftp_rename_ex.3.bz2
- usr/share/man/man3/libssh2_sftp_rewind.3.bz2
- usr/share/man/man3/libssh2_sftp_rmdir.3.bz2
- usr/share/man/man3/libssh2_sftp_rmdir_ex.3.bz2
- usr/share/man/man3/libssh2_sftp_seek.3.bz2
- usr/share/man/man3/libssh2_sftp_seek64.3.bz2
- usr/share/man/man3/libssh2_sftp_setstat.3.bz2
- usr/share/man/man3/libssh2_sftp_shutdown.3.bz2
- usr/share/man/man3/libssh2_sftp_stat.3.bz2
- usr/share/man/man3/libssh2_sftp_stat_ex.3.bz2
- usr/share/man/man3/libssh2_sftp_statvfs.3.bz2
- usr/share/man/man3/libssh2_sftp_symlink.3.bz2
- usr/share/man/man3/libssh2_sftp_symlink_ex.3.bz2
- usr/share/man/man3/libssh2_sftp_tell.3.bz2
- usr/share/man/man3/libssh2_sftp_tell64.3.bz2
- usr/share/man/man3/libssh2_sftp_unlink.3.bz2
- usr/share/man/man3/libssh2_sftp_unlink_ex.3.bz2
- usr/share/man/man3/libssh2_sftp_write.3.bz2
- usr/share/man/man3/libssh2_sign_sk.3.bz2
- usr/share/man/man3/libssh2_trace.3.bz2
- usr/share/man/man3/libssh2_trace_sethandler.3.bz2
- usr/share/man/man3/libssh2_userauth_authenticated.3.bz2
- usr/share/man/man3/libssh2_userauth_banner.3.bz2
- usr/share/man/man3/libssh2_userauth_hostbased_fromfile.3.bz2
- usr/share/man/man3/libssh2_userauth_hostbased_fromfile_ex.3.bz2
- usr/share/man/man3/libssh2_userauth_keyboard_interactive.3.bz2
- usr/share/man/man3/libssh2_userauth_keyboard_interactive_ex.3.bz2
- usr/share/man/man3/libssh2_userauth_list.3.bz2
- usr/share/man/man3/libssh2_userauth_password.3.bz2
- usr/share/man/man3/libssh2_userauth_password_ex.3.bz2
- usr/share/man/man3/libssh2_userauth_publickey.3.bz2
- usr/share/man/man3/libssh2_userauth_publickey_fromfile.3.bz2
- usr/share/man/man3/libssh2_userauth_publickey_fromfile_ex.3.bz2
- usr/share/man/man3/libssh2_userauth_publickey_frommemory.3.bz2
- usr/share/man/man3/libssh2_userauth_publickey_sk.3.bz2
- usr/share/man/man3/libssh2_version.3.bz2
- var/db/pkg/net-libs/libssh2-1.11.0/BDEPEND
- var/db/pkg/net-libs/libssh2-1.11.0/BUILD_TIME
- var/db/pkg/net-libs/libssh2-1.11.0/CATEGORY
- var/db/pkg/net-libs/libssh2-1.11.0/CBUILD
- var/db/pkg/net-libs/libssh2-1.11.0/CFLAGS
- var/db/pkg/net-libs/libssh2-1.11.0/CHOST
- var/db/pkg/net-libs/libssh2-1.11.0/CONTENTS
- var/db/pkg/net-libs/libssh2-1.11.0/COUNTER
- var/db/pkg/net-libs/libssh2-1.11.0/CXXFLAGS
- var/db/pkg/net-libs/libssh2-1.11.0/DEFINED_PHASES
- var/db/pkg/net-libs/libssh2-1.11.0/DEPEND
- var/db/pkg/net-libs/libssh2-1.11.0/DESCRIPTION
- var/db/pkg/net-libs/libssh2-1.11.0/EAPI
- var/db/pkg/net-libs/libssh2-1.11.0/FEATURES
- var/db/pkg/net-libs/libssh2-1.11.0/HOMEPAGE
- var/db/pkg/net-libs/libssh2-1.11.0/INHERITED
- var/db/pkg/net-libs/libssh2-1.11.0/IUSE
- var/db/pkg/net-libs/libssh2-1.11.0/IUSE_EFFECTIVE
- var/db/pkg/net-libs/libssh2-1.11.0/KEYWORDS
- var/db/pkg/net-libs/libssh2-1.11.0/LDFLAGS
- var/db/pkg/net-libs/libssh2-1.11.0/LICENSE
- var/db/pkg/net-libs/libssh2-1.11.0/NEEDED
- var/db/pkg/net-libs/libssh2-1.11.0/PF
- var/db/pkg/net-libs/libssh2-1.11.0/PROVIDES
- var/db/pkg/net-libs/libssh2-1.11.0/RDEPEND
- var/db/pkg/net-libs/libssh2-1.11.0/REQUIRES
- var/db/pkg/net-libs/libssh2-1.11.0/RESTRICT
- var/db/pkg/net-libs/libssh2-1.11.0/SIZE
- var/db/pkg/net-libs/libssh2-1.11.0/SLOT
- var/db/pkg/net-libs/libssh2-1.11.0/USE
- var/db/pkg/net-libs/libssh2-1.11.0/environment.bz2
- var/db/pkg/net-libs/libssh2-1.11.0/libssh2-1.11.0.ebuild
- var/db/pkg/net-libs/libssh2-1.11.0/repository
package_cacheimage: ""
runtime:
  name: libssh2
  version: 1.11.0
  category: net-libs
  use_flags:
  - -mbedtls
  - gcrypt
  - zlib
  requires:
  - name: libgcrypt
    version: '>=0'
    category: dev-libs
  - name: zlib
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Library implementing the SSH2 protocol
  uri:
  - https://www.libssh2.org
  license: BSD
  labels:
    BDEPEND: dev-util/ninja dev-util/cmake
    DEPEND: gcrypt? ( >=dev-libs/libgcrypt-1.5.3:0 ) !gcrypt? ( mbedtls? ( net-libs/mbedtls:0=
      ) !mbedtls? ( >=dev-libs/openssl-1.0.1h-r2:0= ) ) zlib? ( >=sys-libs/zlib-1.2.8-r1
      )
    IUSE: gcrypt mbedtls zlib
    RDEPEND: gcrypt? ( >=dev-libs/libgcrypt-1.5.3:0 ) !gcrypt? ( mbedtls? ( net-libs/mbedtls:0=
      ) !mbedtls? ( >=dev-libs/openssl-1.0.1h-r2:0= ) ) zlib? ( >=sys-libs/zlib-1.2.8-r1
      )
    emerge.packages: net-libs/libssh2
    kit: net-kit
    original.package.name: net-libs/libssh2
    original.package.slot: "0"
    original.package.version: 1.11.0
